# Uses of Class
org.opensaml.core.xml.io.UnmarshallerFactory

Packages that use UnmarshallerFactory
Package
Description
org.opensaml.core.testing
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.
org.opensaml.core.xml.io
Interfaces and abstract implementations of marshallers and unmarshallers.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of UnmarshallerFactory in org.opensaml.core.testing

Fields in org.opensaml.core.testing declared as UnmarshallerFactory
Modifier and Type
Field
Description
`protected static UnmarshallerFactory`
XMLObjectBaseTestCase.`unmarshallerFactory`
XMLObject unmarshaller factory.

## Uses of UnmarshallerFactory in org.opensaml.core.xml.config

Fields in org.opensaml.core.xml.config declared as UnmarshallerFactory
Modifier and Type
Field
Description
`private UnmarshallerFactory`
XMLObjectProviderRegistry.`unmarshallerFactory`
Configured XMLObject unmarshaller factory.
Methods in org.opensaml.core.xml.config that return UnmarshallerFactory
Modifier and Type
Method
Description
`UnmarshallerFactory`
XMLObjectProviderRegistry.`getUnmarshallerFactory()`
Gets the XMLObject unmarshaller factory that has been configured with information from loaded configuration files.
`static UnmarshallerFactory`
XMLObjectProviderRegistrySupport.`getUnmarshallerFactory()`
Gets the XMLObject unmarshaller factory that has been configured with information from loaded configuration files.

## Uses of UnmarshallerFactory in org.opensaml.core.xml.io

Fields in org.opensaml.core.xml.io declared as UnmarshallerFactory
Modifier and Type
Field
Description
`private final UnmarshallerFactory`
AbstractXMLObjectUnmarshaller.`unmarshallerFactory`
Factory for creating unmarshallers for child elements.

## Uses of UnmarshallerFactory in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as UnmarshallerFactory
Modifier and Type
Field
Description
`private UnmarshallerFactory`
AbstractMetadataResolver.`unmarshallerFactory`
Unmarshaller factory used to get an unmarshaller for the metadata DOM.
Methods in org.opensaml.saml.metadata.resolver.impl that return UnmarshallerFactory
Modifier and Type
Method
Description
`protected UnmarshallerFactory`
AbstractMetadataResolver.`getUnmarshallerFactory()`
Get the XMLObject unmarshaller factory to use.

## Uses of UnmarshallerFactory in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as UnmarshallerFactory
Modifier and Type
Field
Description
`private final UnmarshallerFactory`
Decrypter.`unmarshallerFactory`
Unmarshaller factory, used in decryption of EncryptedData objects.